# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

# some defs
%define _altdocsdir %_defaultdocdir/alt-docs
%define _indexhtmldir %_altdocsdir/indexhtml

Name: indexhtml-common
Version: 0.4
Release: alt0.M41.1

Summary: indexhtml-common
License: %gpl3plus
Group: System/Base
Buildarch: noarch
Packager: ALT Docs Team <docs@packages.altlinux.org>

#Provides: %_sbindir/indexhtml-update

# old (buggy?) indexhtml packages creates own unpackaged index.html file
# pre 4.0 branches
Conflicts: indexhtml-Compact <= 1:3.0-alt4
Conflicts: indexhtml-Junior <= 1:2.3-alt7
Conflicts: indexhtml-Master <= 1:2.4-alt5
# post 4.0 iso's (and updated versions in branches)
Conflicts: indexhtml = 3:1.2.sisyphus-alt1
Conflicts: indexhtml-Desktop <= 1:4.0-alt8
Conflicts: indexhtml-lite <= 4.0-alt2
Conflicts: indexhtml-terminal <= 4.0-alt0.M40.1
# post 4.0 branches
Conflicts: indexhtml-lite-school <= 1:4.0-alt1.M40.3
Conflicts: indexhtml-Lite <= 1:4.0-alt1

Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses
Requires: alt-docs-main

%description
This package contains files required to integrate indexhtml packages.

%prep
%setup

%install
mkdir -p %buildroot{%_indexhtmldir/,%_sbindir/,%_defaultdocdir/HTML/,%_sysconfdir/firsttime.d}
install -m755 indexhtml-update %buildroot%_sbindir/
install -m644 redirect.html %buildroot%_defaultdocdir/HTML/index.html
ln -s %_sbindir/indexhtml-update %buildroot%_sysconfdir/firsttime.d/indexhtml

%files
%_sbindir/*
%_defaultdocdir/HTML/*
%_indexhtmldir/
%_sysconfdir/firsttime.d/*

%changelog
* Fri Mar 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 0.4-alt0.M41.1
- build for 4.1 branch (0.4-alt1)

* Fri Mar 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 0.4-alt1
- updated Conflicts list

* Fri Jan 23 2009 Artem Zolochevskiy <azol@altlinux.ru> 0.3-alt1
- fix quote use
- use stderr for debug output

* Wed Nov 26 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.2-alt2
- updated Conflicts list

* Wed Sep 24 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.2-alt1
- added firsttime.d sript (as symlink)

* Fri May 23 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.1-alt2
- updated Conflicts list

* Tue May 20 2008 Artem Zolochevskiy <azol@altlinux.ru> 0.1-alt1
- initial build for Sisyphus

